SMCR(8)

NAME

smcr - Print information about SMC-R link groups, links and devices

SYNOPSIS
smcr [ OPTIONS ] OBJECT { COMMAND | help }

OBJECT := { info | linkgroup | device | stats | ueid }

OPTIONS := { -v[ersion] | -a[bsolute] | -d[etails] | -dd[etails] }

OPTIONS

-v, -version
    Print the version of the smcr utility and exit.

-a, -absolute
    Print absolute statistic value (valid only for stats).

-d, -details
    Print detailed information.

-dd, -ddetails
    Print more detailed information.

SMCR - COMMAND SYNTAX

  OBJECT

device
    One or more SMC-R devices.

info
    Generic SMC information.

linkgroup
    One or more SMC-R link groups or links.

stats
    SMC-R statistics.

ueid
    Work with User defined Enterprise IDs (UEID).

The names of all objects can be abbreviated down to a unique stem. For example device can be abbreviated to dev or just d. For more information about individual objects see the man pages in SEE ALSO section.

  COMMAND

Specifies the action to perform on the object. The set of possible actions depends on the object type. For most objects you can specify the show or link-show command. Use the help command for an object to print information about the available actions and the specific syntax for that object.

If no command is given, a default command is assumed.

RETURN CODES
Successful smcr commands return 0 and display the requested link group, link or device information. If an error occurs, smcr writes a message to stderr and completes with a return code other than 0. Possible error messages to stderr in case of non-zero return code:

SMC module not loaded
    Either kernel is not supporting the smcr tool or the smc kernel module is not loaded.

SEE ALSO
af_smc(7), smcd(8), smcr(8), smcr-device(8), smcr-info(8), smcr-linkgroup(8) smcr-stats(8), smcr-ueid(8)